Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » Cannot update plugin (Hibernate) because of "conflicting dependency"
Cannot update plugin (Hibernate) because of "conflicting dependency" [message #1023785] Mon, 25 March 2013 02:38 Go to next message
Ben Stover
Messages: 104
Registered: January 2010
Senior Member
I run here Eclipse v3.6 (under Win7) and wanted to update the HibernateTools plugin.

When I start update of this plugin Eclipse tells me:

"Cannot complete the request because of a conflicting dependency".
See attached Snapshot

index.php/fa/14003/0/

Hmm, why this? Conflict with what else?

At the bottom I can see a remark "Generating details".

Where are these details visible? Is it a logfile?
Re: Cannot update plugin (Hibernate) because of "conflicting dependency" [message #1023807 is a reply to message #1023785] Mon, 25 March 2013 03:55 Go to previous messageGo to next message
Stephan Herrmann is currently offline Stephan Herrmann
Messages: 997
Registered: July 2009
Senior Member
The details should become visible to the patient observer on the next page of the wizard.
Do you see the progress bar below the line you quoted?

That said, follow-up question should be asked either
- in the forum of the software you are trying to install, or
- in the p2 forum if the problem seems to be in the conflict detection itself.
Re: Cannot update plugin (Hibernate) because of "conflicting dependency" [message #1023890 is a reply to message #1023807] Mon, 25 March 2013 07:47 Go to previous messageGo to next message
Ben Stover
Messages: 104
Registered: January 2010
Senior Member
Stephan Herrmann wrote on Mon, 25 March 2013 03:55
The details should become visible to the patient observer on the next page of the wizard.
Do you see the progress bar below the line you quoted?



Hmm, the progress bar does not show any progress (even after 30 minutes).

There is no next page on the wizard.
The "Next" button is greyed out forever.

I have a core i5 process and no other (major) program is running.

So there should be enough power to perform this update.
It seems to me that it is a bug in the update procedure itself.

Any ideas?

Re: Cannot update plugin (Hibernate) because of "conflicting dependency" [message #1023959 is a reply to message #1023890] Mon, 25 March 2013 10:46 Go to previous message
Stephan Herrmann is currently offline Stephan Herrmann
Messages: 997
Registered: July 2009
Senior Member
Ben Stover wrote on Mon, 25 March 2013 12:47
Any ideas?


Yes Smile

Quote:
That said, follow-up question should be asked either
- in the forum of the software you are trying to install, or
- in the p2 forum if the problem seems to be in the conflict detection itself.


looks like case 2 applies.
Previous Topic:How to find position in the java file of an element
Next Topic:Add custom editor for build definition option
Goto Forum:
  


Current Time: Fri Aug 22 15:43:46 EDT 2014

Powered by FUDForum. Page generated in 0.03313 seconds